Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.wadial.com/api/v1/sessions/{sessionId}/chats/action \ --header 'Authorization: Bearer <token>'
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.wadial.com/api/v1/sessions/{sessionId}/chats/action', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.wadial.com/api/v1/sessions/{sessionId}/chats/action" headers = {"Authorization": "Bearer <token>"} response = requests.post(url, headers=headers) print(response.text)
Mute, pin, archive, mark read, lock, star, clear, and delete chats.
POST /api/v1/sessions/{sessionId}/chats/action Authorization: Bearer <api_key> Content-Type: application/json
{ "chatJid": "[email protected]", "action": "archive" }
action
[ "mute", "unmute", "pin", "unpin", "archive", "unarchive", "mark_read", "mark_unread", "lock", "unlock", "clear", "delete" ]
mute
muteEndTimestampMs
clear
deleteStarred
deleteMedia
delete
{ "data": { "sessionId": "01J...", "to": "[email protected]", "action": "archive", "messageId": null } }
POST /api/v1/sessions/{sessionId}/chats/messages/star Authorization: Bearer <api_key> Content-Type: application/json
{ "message": { "chatJid": "[email protected]", "id": "3EB0A1B2C3D4E5F6", "fromMe": false }, "starred": true }
starred
false
Was this page helpful?